## qcustomplot 1.3.2+dfsg1-1ubuntu1

=== CMakeLists.txt ===
PROJECT(qcustomplot CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(Q_MAJOR_VERSION "1")
SET(Q_MINOR_VERSION "3")
SET(Q_PATCH_VERSION "2")

INCLUDE(GNUInstallDirs)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS} /usr/include/qt5/QtPrintSupport)
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} -DQCUSTOMPLOT_COMPILE_LIBRARY)
SET(CMAKE_AUTOMOC ON)


set(Q_VERSION "${Q_MAJOR_VERSION}.${Q_MINOR_VERSION}.${Q_PATCH_VERSION}")
set(Q_SOVERSION "${Q_MAJOR_VERSION}.${Q_MINOR_VERSION}")

ADD_LIBRARY(qcustomplot SHARED qcustomplot.cpp)
QT5_USE_MODULES(qcustomplot Widgets)

SET_TARGET_PROPERTIES(qcustomplot PROPERTIES 
  VERSION ${Q_VERSION}
  SOVERSION ${Q_SOVERSION})
TARGET_LINK_LIBRARIES(qcustomplot ${Qt5Widgets_LIBRARIES} Qt5::PrintSupport)

INSTALL(TARGETS qcustomplot DESTINATION "${CMAKE_INSTALL_LIBDIR}")
INSTALL(FILES qcustomplot.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
INSTALL(FILES cmake/QCustomPlotConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/QCustomPlot)

=== examples/scrollbar-axis-range-control/CMakeLists.txt ===
project(scrollbar CXX)
cmake_minimum_required(VERSION 2.8)

FIND_PACKAGE(QCustomPlot REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(GNUInstallDirs)
FIND_PACKAGE(Qt5Widgets REQUIRED)
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QCustomPlot_INCLUDE_DIR})
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} -DQCUSTOMPLOT_USE_LIBRARY)
SET(CMAKE_AUTOMOC ON)

QT5_WRAP_UI(UI_HEADERS mainwindow.ui)
ADD_EXECUTABLE(scrollbar main.cpp mainwindow.cpp ${UI_HEADERS})
QT5_USE_MODULES(scrollbar Widgets)

TARGET_LINK_LIBRARIES(scrollbar ${Qt5Widgets_LIBRARIES} ${QCustomPlot_LIBRARIES} Qt5::PrintSupport)
INSTALL(TARGETS scrollbar DESTINATION ${CMAKE_INSTALL_BINDIR})

=== examples/text-document-integration/CMakeLists.txt ===
project(text CXX)
cmake_minimum_required(VERSION 2.8)

FIND_PACKAGE(QCustomPlot REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(GNUInstallDirs)
FIND_PACKAGE(Qt5Widgets REQUIRED)
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QCustomPlot_INCLUDE_DIR})
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} -DQCUSTOMPLOT_USE_LIBRARY)
SET(CMAKE_AUTOMOC ON)

QT5_WRAP_UI(UI_HEADERS mainwindow.ui)
ADD_EXECUTABLE(text main.cpp mainwindow.cpp qcpdocumentobject.cpp ${UI_HEADERS})
QT5_USE_MODULES(text Widgets)

TARGET_LINK_LIBRARIES(text ${Qt5Widgets_LIBRARIES} ${QCustomPlot_LIBRARIES} Qt5::PrintSupport)
INSTALL(TARGETS text DESTINATION ${CMAKE_INSTALL_BINDIR})

## qcustomplot 1.1.0

=== debian/changelog ===
qcustomplot (1.1.0-1) unstable; urgency=low

  * Initial packaging. (Closes: #729075).

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Nov 2013 18:12:34 +0100

=== debian/control ===
Source: qcustomplot
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Homepage: http://www.qcustomplot.com
Standards-Version: 3.9.4
Build-Depends: cmake, debhelper (>= 9), libqt4-dev
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qcustomplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/qcustomplot.git

Package: libqcustomplot-dev
Section: libdevel
Architecture: any
Depends: libqcustomplot1.1 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
Conflicts: libqcustomplot-dev
Description: Qt C++ widget for plotting. Header
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains a header-file.

Package: libqcustomplot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Qt C++ widget for plotting. Documentation and examples
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains examples and
 documentation.

Package: libqcustomplot1.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.

Package: libqcustomplot1.1-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqcustomplot1.1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt C++ widget for plotting. Debugging symbols
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=libqcustomplot1.1-dbg

## qcustomplot 1.2.1

=== debian/changelog ===
qcustomplot (1.2.1-3) unstable; urgency=medium

  * [03b7195] Provide symlink for FindQCustomPlot.cmake for cmake-3.0. 
              (Closes: #758549)
  * [35fbc00] Bump Standards-Version: 3.9.6. No changes.

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Sep 2014 23:11:09 +0200

qcustomplot (1.2.1-2) unstable; urgency=medium

  * [5d06478] Replace qt5-default by qtbase5-dev in depends. (Closes: #756110)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Jul 2014 15:39:54 +0200

qcustomplot (1.2.1-1) unstable; urgency=medium

  * [95aa0fd] Imported Upstream version 1.2.1. (Closes: #753211)
  * [334dfb7] Use wrap and sort.
  * [2f0e8f1] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Jul 2014 23:37:07 +0200

qcustomplot (1.2.0-1) unstable; urgency=medium

  * [b820dfc] Imported Upstream version 1.2.0
  * [d6daa9b] Refresh cmake-patch. 
              Use qt5 for building the library.
  * [af0b882] Update so-number.
  * [f1912e1] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Thu, 03 Apr 2014 22:35:45 +0200

=== debian/control ===
Source: qcustomplot
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Homepage: http://www.qcustomplot.com
Standards-Version: 3.9.6
Build-Depends:
 cmake,
 debhelper (>= 9),
 qtbase5-dev
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qcustomplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/qcustomplot.git
XS-Testsuite: autopkgtest

Package: libqcustomplot-dev
Section: libdevel
Architecture: any
Depends:
 libqcustomplot1.2 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends}
Description: Qt C++ widget for plotting. Header
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains a header-file.

Package: libqcustomplot-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: Qt C++ widget for plotting. Documentation and examples
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains examples and
 documentation.

Package: libqcustomplot1.2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.

Package: libqcustomplot1.2-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libqcustomplot1.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Qt C++ widget for plotting. Debugging symbols
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=libqcustomplot1.2-dbg

## qcustomplot 1.3.1+dfsg1

=== debian/changelog ===
qcustomplot (1.3.1+dfsg1-1) unstable; urgency=medium

  * [6791430] Add d/watch file.
  * [76725bc] Update d/copyright.
  * [87ecba1] Imported Upstream version 1.3.1+dfsg1
  * [3a31585] Update patch.
  * [5088042] Update so-number.
  * [40cdbc9] Install cmake-file for cmake-3.2. (Closes: #784769)
  * [e0cbdf6] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Sun, 24 May 2015 20:51:32 +0200

=== debian/control ===
Source: qcustomplot
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               qtbase5-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qcustomplot.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qcustomplot.git
Homepage: http://www.qcustomplot.com

Package: libqcustomplot-dev
Architecture: any
Section: libdevel
Depends: libqcustomplot1.3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt C++ widget for plotting. Header
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains a header-file.

Package: libqcustomplot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt C++ widget for plotting. Documentation and examples
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains examples and
 documentation.

Package: libqcustomplot1.3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.

Package: libqcustomplot1.3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libqcustomplot1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt C++ widget for plotting. Debugging symbols
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=libqcustomplot1.3-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.qcustomplot.com/index.php/download .*/(.+)/QCustomPlot.tar.gz

## qcustomplot 1.3.2+dfsg1

=== debian/changelog ===
qcustomplot (1.3.2+dfsg1-1) unstable; urgency=medium

  * [38baad9] Add +dfsg-suffix to d/watch.
  * [faf1882] Move cmake-files into usr/lib/cmake/QCustomplot.
  * [730634b] Remove dbg-package.
  * [6177ca7] Imported Upstream version 1.3.2+dfsg1

 -- Anton Gladky <gladk@debian.org>  Wed, 13 Jan 2016 10:49:40 +0100

=== debian/control ===
--- 
+++ 
@@ -43,17 +43,3 @@
  QCustomPlot plotting library focuses on making good looking, publication
  quality 2D plots, graphs and charts, as well as offering high performance for
  realtime visualization applications.
-
-Package: libqcustomplot1.3-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libqcustomplot1.3 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Qt C++ widget for plotting. Debugging symbols
- QCustomPlot plotting library focuses on making good looking, publication
- quality 2D plots, graphs and charts, as well as offering high performance for
- realtime visualization applications. The package contains debugging symbols.

=== debian/tests/control ===
Tests: buildtest
Depends: libqcustomplot-dev, build-essential, cmake

## qcustomplot 1.3.2+dfsg1-1ubuntu1

=== debian/changelog ===
qcustomplot (1.3.2+dfsg1-1ubuntu1) trusty; urgency=medium

  * Rebuild for Trusty

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Aug 2018 07:10:51 +0000

## qcustomplot 2.0.1%2Bdfsg1

=== debian/changelog ===
qcustomplot (2.0.1+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:23 +0100

qcustomplot (2.0.1+dfsg1-1) unstable; urgency=medium

  * Upload into unstable. (Closes: #907771)

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Oct 2018 20:43:15 +0200

qcustomplot (2.0.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Filippo Rusconi ]
  * Update 01_Add_CMakeLists.patch.
  * vcs-field-uses-insecure-uri lintian info fixed.
  * Bump Standards-Version: 4.1.3. No changes required.

  [ Anton Gladky ]
  * [45abfeb] Minor update in d/copyright
  * [3d5a8d8] New upstream version 2.0.1+dfsg1
  * [dc51421] Update patch
  * [93b9b05] Apply cme fix dpkg
  * [1e3a698] Add some more autopkgtests

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Aug 2018 22:08:21 +0200

=== debian/control ===
Source: qcustomplot
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               qtbase5-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/science-team/qcustomplot.git
Vcs-Git: https://salsa.debian.org/science-team/qcustomplot.git
Homepage: http://www.qcustomplot.com

Package: libqcustomplot-dev
Architecture: any
Section: libdevel
Depends: libqcustomplot2.0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt C++ widget for plotting - header
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains a header-file.

Package: libqcustomplot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt C++ widget for plotting - documentation and examples
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains examples and
 documentation.

Package: libqcustomplot2.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.

## qcustomplot 2.0.1+dfsg1

=== debian/changelog ===
qcustomplot (2.0.1+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * [51201ca] Fix autopkgtest regression with CMake 3.19+

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Sep 2021 19:44:21 +0200

qcustomplot (2.0.1+dfsg1-4) unstable; urgency=medium

  * [f8cd577] Replace deprecated pageRect(). (Closes: #976062)
  * [663e67b] Wrap long lines in changelog entries: 2.0.1+dfsg1-3.
  * [fe2688d] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Nov 2020 14:11:31 +0100

qcustomplot (2.0.1+dfsg1-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [0eda999] Update autopkgtests. (Closes: #973539)
  * [8dfed02] Convert patches to gbp pq
  * [e14754c] Wrap long lines in changelog entries: 2.0.1+dfsg1-2.
  * [2070ece] Apply cme fix dpkg
  * [16bc3e6] Refresh cmakelist-patch

  [ Dmitry Shachnev ]
  * [15f9a6a] Fix Qt 5.15 deprecation warnings
  * [148cdec] Update debian/libqcustomplot-doc.doc-base to fix broken
    references.

 -- Anton Gladky <gladk@debian.org>  Tue, 03 Nov 2020 21:41:27 +0100

qcustomplot (2.0.1+dfsg1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [f92a309] Trim trailing whitespace.
  * [91a0c03] Use secure URI in Homepage field.
  * [50c4e99] Bump debhelper from deprecated 9 to 13.
  * [b12bb5f] Set debhelper-compat version in Build-Depends.
  * [d9b43c1] Use canonical URL in Vcs-Browser.
  * [3ee77ff] Drop unnecessary dh arguments: --parallel
  * [3e86a9e] Update standards version to 4.5.0, no changes needed.
  * [c107d28] Add Rules-Requires-Root: no
  * [dc969f3] .gitlab-ci.yml

  [ Dmitry Shachnev ]
  * [c5966e3] Use QElapsedTimer instead of deprecated QTime::elapsed().
    (Closes: #961133)

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Jun 2020 12:32:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
                qtbase5-dev
-Standards-Version: 4.2.0
-Vcs-Browser: https://salsa.debian.org/science-team/qcustomplot.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/qcustomplot
 Vcs-Git: https://salsa.debian.org/science-team/qcustomplot.git
-Homepage: http://www.qcustomplot.com
+Homepage: https://www.qcustomplot.com
 
 Package: libqcustomplot-dev
 Architecture: any

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// http://www.qcustomplot.com/index.php/download .*/(.+)/QCustomPlot.tar.gz

## qcustomplot 2.0.1+dfsg1-1~stretch+1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 PROJECT(qcustomplot CXX)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
-SET(Q_MAJOR_VERSION "1")
-SET(Q_MINOR_VERSION "3")
-SET(Q_PATCH_VERSION "2")
+SET(Q_MAJOR_VERSION "2")
+SET(Q_MINOR_VERSION "0")
+SET(Q_PATCH_VERSION "1")
 
 INCLUDE(GNUInstallDirs)
 FIND_PACKAGE(Qt5Widgets REQUIRED)

=== examples/interactions/CMakeLists.txt ===
project(interactions CXX)
cmake_minimum_required(VERSION 2.8)

FIND_PACKAGE(QCustomPlot REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(GNUInstallDirs)
FIND_PACKAGE(Qt5Widgets REQUIRED)
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QCustomPlot_INCLUDE_DIR})
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} -DQCUSTOMPLOT_USE_LIBRARY)
SET(CMAKE_AUTOMOC ON)

QT5_WRAP_UI(UI_HEADERS mainwindow.ui)
ADD_EXECUTABLE(interactions main.cpp mainwindow.cpp ${UI_HEADERS})
QT5_USE_MODULES(interactions Widgets)

TARGET_LINK_LIBRARIES(interactions ${Qt5Widgets_LIBRARIES} ${QCustomPlot_LIBRARIES} Qt5::PrintSupport)
INSTALL(TARGETS interactions DESTINATION ${CMAKE_INSTALL_BINDIR})

=== examples/plots/CMakeLists.txt ===
project(plots CXX)
cmake_minimum_required(VERSION 2.8)

FIND_PACKAGE(QCustomPlot REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(GNUInstallDirs)
FIND_PACKAGE(Qt5Widgets REQUIRED)
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${QCustomPlot_INCLUDE_DIR})
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} -DQCUSTOMPLOT_USE_LIBRARY)
SET(CMAKE_AUTOMOC ON)

QT5_WRAP_UI(UI_HEADERS mainwindow.ui)
ADD_EXECUTABLE(plots main.cpp mainwindow.cpp ${UI_HEADERS})
QT5_USE_MODULES(plots Widgets)

TARGET_LINK_LIBRARIES(plots ${Qt5Widgets_LIBRARIES} ${QCustomPlot_LIBRARIES} Qt5::PrintSupport)
INSTALL(TARGETS plots DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
qcustomplot (2.0.1+dfsg1-1~stretch+1) stretch; urgency=medium

  * Rebuild for stretch PAPPSO

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 08 Dec 2018 18:26:57 +0100

## qcustomplot 2.1.0+dfsg1

=== debian/changelog ===
qcustomplot (2.1.0+dfsg1-3.1build4) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:34:10 +0200

qcustomplot (2.1.0+dfsg1-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:51:42 +0000

qcustomplot (2.1.0+dfsg1-3.1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:37:27 +0000

qcustomplot (2.1.0+dfsg1-3.1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:19 +0000

qcustomplot (2.1.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Filippo Rusconi ]
  * Update tests with the QCustomPlot::QCustomPlot formalism for the
    target_link_libraries call. (Closes: #1025777)

  [ Christoph Berg ]
  * Ignore compiler warning on stderr in buildtest-text test.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Dec 2022 18:23:27 +0100

qcustomplot (2.1.0+dfsg1-3) unstable; urgency=low

  * Fix the autopkgtest by fixing the dependencies of libqcustomplot-dev: when
    that package is installed (not built), the qtbase5-dev and qt6-base-dev
    packages need to be installed.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Nov 2022 11:01:09 +0100

qcustomplot (2.1.0+dfsg1-2) unstable; urgency=low

  * Same package as -1 but this time for unstable.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 22 Nov 2022 21:18:56 +0100

qcustomplot (2.1.0+dfsg1-1) experimental; urgency=low

  [ Filippo Rusconi ]

  * The following is in concertation with 
    Anton Gladky <gladk@debian.org>.

  * New upstream version 2.1.0;
  * Package refactoring to modernize the CMake-based
    build system;
  * Create packages built against Qt5 or Qt6.
  * Add myself as uploader.
  * Upload to experimental for starting a transition.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Sep 2022 15:10:42 +0200

qcustomplot (2.0.1+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [b0ea7bf] Fix Multiarch hinter issues
  * [838e6f1] Bump Standards-Version to 4.6.1
  * [d62c34f] Fix d/watch

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Jun 2022 12:32:24 +0200

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/;s/fixed$//,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// http://www.qcustomplot.com/index.php/download .*/(.+)/QCustomPlot.tar.gz

## qcustomplot 2.1.1%2Bdfsg1

=== debian/changelog ===
qcustomplot (2.1.1+dfsg1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Aug 2025 18:52:26 +0200

qcustomplot (2.1.1+dfsg1-1~exp1) experimental; urgency=medium

  * [24e3eb8] New upstream version 2.1.1+dfsg1. (Closes: #1097691)
  * [7364dda] Remove uneeded patch.
  * [901c6f4] Remove Conflicts/Replaces for libqcustomplot2.0. (Closes: #1026133)

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Jul 2025 10:21:16 +0200

## qcustomplot 2.1.1+dfsg1

=== debian/control ===
Source: qcustomplot
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
 Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: 
 debhelper (>= 13),
 cmake (>= 3.18),
 qtbase5-dev (>= 5.12),
 qt6-base-dev (>= 6.2.0)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/qcustomplot
Vcs-Git: https://salsa.debian.org/science-team/qcustomplot.git
Homepage: https://www.qcustomplot.com

Package: libqcustomplot-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: 
 qtbase5-dev,
 qt6-base-dev,
 libqcustomplot2.1 (= ${binary:Version}),
 libqcustomplot2.1-qt6 (= ${binary:Version}),
 ${misc:Depends}
Conflicts: libqcustomplot-dev
Replaces: libqcustomplot-dev
Description: Qt C++ widget for plotting - header
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains a header-file.
 .
 This package ships the development files for building with Qt5 and Qt6

Package: libqcustomplot-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt C++ widget for plotting - documentation and examples
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications. The package contains examples and
 documentation.

Package: libqcustomplot2.1
Architecture: any
Multi-Arch: same
Depends: 
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.
 .
 This package was built using the Qt5 libraries.

Package: libqcustomplot2.1-qt6
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt C++ widget for plotting
 QCustomPlot plotting library focuses on making good looking, publication
 quality 2D plots, graphs and charts, as well as offering high performance for
 realtime visualization applications.
 .
 This package was built using the Qt6 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

CMAKE_ARGS = -DBUILD_SHARED_LIBS=ON

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_clean:
	rm -rf build-qt5
	rm -rf build-qt6

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 -- $(CMAKE_ARGS) -DUSE_QT_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- $(CMAKE_ARGS) -DUSE_QT_VERSION=6

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test --no-parallel --builddirectory=build-qt5
	dh_auto_test --no-parallel --builddirectory=build-qt6

=== debian/tests/control ===
Tests: buildtest-axis buildtest-inter buildtest-plot buildtest-scroll buildtest-text
Depends: libqcustomplot-dev, build-essential, cmake
Restrictions: allow-stderr
